Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class OWLClassUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.conditions.OWLClassUtil

    public class OWLClassUtil

extends Object

Constructor Summary
`OWLClassUtil()`

Method Summary
`static String` | `printRDFList(RDFList rdfList)` Returns a string with the user-friendly representation of the rdf:list given as argument
`static void` | `removeDirectSuperClass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)` Remove a superclass from a class, without deleting the class This method was necessary because OWLFrameStore deletes all anonymous classes automatically when removing a superclass and this is not always desirable.
`static void` | `removeEquivalentClass(RDFSClass cls, RDFSClass equivClass)`
`static void` | `removeSuperClass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superclass)`
`static boolean` | `replaceOperand(OWLIntersectionClass definitionCls, RDFSClass oldClass, RDFSClass newClass)` This method replaces an operand in an intersection class (without deleting the old operand) It searches for the place in the opernad list where the old operand was, and removes it (but does not delete it) and inserts in place the new operand

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLClassUtil

    public OWLClassUtil()

Method Detail

### printRDFList

    public static String printRDFList(RDFList rdfList)

  Returns a string with the user-friendly representation of the rdf:list given as argument

  Parameters:
    `rdfList` - - the rdf:list to be printed
  Returns:
    a String with the user-friendly representation of the rdf:list given as argument

### replaceOperand

    public static boolean replaceOperand(OWLIntersectionClass definitionCls,
                                         RDFSClass oldClass,
                                         RDFSClass newClass)

  This method replaces an operand in an intersection class (without deleting the old operand) It searches for the place in the opernad list where the old operand was, and removes it (but does not delete it) and inserts in place the new operand

  Parameters:
    `definitionCls` - - the intersection class
    `oldClass` - - old operand class
    `newClass` - - new operand class
  Returns:
    true - if the replace was done, fals - otherwise

### removeDirectSuperClass

    public static void removeDirectSuperClass(edu.stanford.smi.protege.model.Cls cls,
                                              edu.stanford.smi.protege.model.Cls superclass)

  Remove a superclass from a class, without deleting the class This method was necessary because OWLFrameStore deletes all anonymous classes automatically when removing a superclass and this is not always desirable. This method should be removed after we have implemented a better way of dealing with anonymous classes. (Tania, 06/12/06)

  Parameters:
    `cls` -
    `superclass` -

### removeSuperClass

    public static void removeSuperClass(edu.stanford.smi.protege.model.Cls cls,
                                        edu.stanford.smi.protege.model.Cls superclass)

### removeEquivalentClass

    public static void removeEquivalentClass(RDFSClass cls,
                                             RDFSClass equivClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.